# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-django-select2
%define fedora 18
%global pkgname Django-Select2
Name:		python-module-django-select2
Version:	3.2.1
Release:	alt1_1
Summary:	Select2 option fields for Django

Group:		Development/Python
License:	ASL 2.0
URL:		https://github.com/applegrew/django-select2
Source0:	http://pypi.python.org/packages/source/D/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	python-devel
BuildRequires:	python-module-setuptools

%if 0%{?fedora} >= 18
BuildRequires: python-module-django python-module-django-dbbackend-mysql python-module-django-dbbackend-psycopg2 python-module-django-dbbackend-sqlite3 python-module-django-mod_python
%else
BuildRequires: python-module-django python-module-django-dbbackend-mysql python-module-django-dbbackend-psycopg2 python-module-django-dbbackend-sqlite3 python-module-django-mod_python
%endif
Source44: import.info


%description
Django includes basic select widget, which just generates
<select><option>a..</option>a..</select> tags.  Although their 
a.'looksa.' can be improved using basic CSS, but we hit a usability
problem when there are too many options to select from. 
This is where Django-Select2 comes into picture.

%prep
%setup -q -n %{pkgname}-%{version}
# Remove bundled egg-info
rm -rf Django_Select2.egg-info
# Remove calls to nonexistent files in the template MANIFEST.in
sed -i -e '3d' -i -e '5,7d' MANIFEST.in

%build
python setup.py build


%install
python setup.py install --skip-build --root %{buildroot}

for file in `find %{buildroot}/%{python_sitelibdir_noarch}/django_select2 -type f -perm /a+x ! -name '*.py'`; do
	chmod -vR a-x $file
done


%files
%doc README PKG-INFO LICENSE.txt
%{python_sitelibdir_noarch}/django_select2
%{python_sitelibdir_noarch}/Django_Select2-*.egg-info


%changelog
* Mon Feb 18 2013 Igor Vlasenko <viy@altlinux.ru> 3.2.1-alt1_1
- update to new release by fcimport

* Tue Jan 01 2013 Igor Vlasenko <viy@altlinux.ru> 3.1.4-alt1_1
- initial fc import

